2 Replies Latest reply: Sep 17, 2010 5:16 AM by 843851 RSS

    SWTK 2.5.2  and Java 1.6

    843851
      Hi All,
      I am using SWTK 2.5.2_01 and java 1.5.

      I am developing a J2ME project using Eclipse, in that My midlet works when i set the compiler to 1.3 and at that time my java files are not working. And when i set the compiler to 1.5, my Midlet is not working and rest is working fine.

      This is because, I am using generics like Map<String, String> which is not supported by java1.3, it supports simply Map<Object,Object>.
      So can anybody help me.


      Thanks in advance.....!

      Edited by: balachandar.jeldi on Sep 17, 2010 5:57 AM
        • 1. Re: SWTK 2.5.2  and Java 1.6
          DarrylBurke
          balachandar.jeldi wrote:
          So can anybody help me.
          Help in what way? Java ME encompasses the MIDP (JSR-118) and CLDC (JSR-139) specifications, and various optional APIs like JSR-82 (Bluetooth) JSR-179 (GPS) and others. You can't use Java SE API classes in Java ME.

          db
          edit There's a decent summary here

          Edited by: DarrylBurke
          • 2. Re: SWTK 2.5.2  and Java 1.6
            843851
            Hey DarrylBurke, Thank you so much for your clarification.

            But still I have one doubt. Is J2ME never support generic collections like Map<String,Integer>?
            I tried in J2ME SDK 3 also, but no use.

            Can you suggest me which sdk is usefull or any other way to use above things in J2ME.

            Thanks.